org.mariadb.jdbc.internal.queryresults

## Class CmdInformationSingle

- java.lang.Object
- - org.mariadb.jdbc.internal.queryresults.CmdInformationSingle

All Implemented Interfaces:
  CmdInformation

    public class CmdInformationSingle
    extends Object
    implements CmdInformation

### Field Summary

### Fields inherited from interface org.mariadb.jdbc.internal.queryresults.CmdInformation

`NO_UPDATE_COUNT`

### Constructor Summary

Constructors
Constructor and Description
`CmdInformationSingle(long insertId, int updateCount)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addStats(int updateCount)`
`void` `addStats(int updateCount, long insertId)`
`int` `getCurrentStatNumber()`
`ResultSet` `getGeneratedKeys(Protocol protocol)` Get generated Keys.
`int` `getUpdateCount()`
`int[]` `getUpdateCounts()`
`boolean` `isCurrentUpdateCount()`
`boolean` `moreResults()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CmdInformationSingle

    public CmdInformationSingle(long insertId,
                                int updateCount)

### Method Detail

#### getUpdateCounts

    public int[] getUpdateCounts()

Specified by:
  `getUpdateCounts` in interface `CmdInformation`

#### getUpdateCount

    public int getUpdateCount()

Specified by:
  `getUpdateCount` in interface `CmdInformation`

#### addStats

    public void addStats(int updateCount,
                         long insertId)

Specified by:
  `addStats` in interface `CmdInformation`

#### addStats

    public void addStats(int updateCount)

Specified by:
  `addStats` in interface `CmdInformation`

#### getGeneratedKeys

    public ResultSet getGeneratedKeys(Protocol protocol)

Get generated Keys.

Specified by:
  `getGeneratedKeys` in interface `CmdInformation`
Parameters:
  `protocol` - current protocol
Returns:
  a resultSet containing the single insert ids.

#### getCurrentStatNumber

    public int getCurrentStatNumber()

Specified by:
  `getCurrentStatNumber` in interface `CmdInformation`

#### moreResults

    public boolean moreResults()

Specified by:
  `moreResults` in interface `CmdInformation`

#### isCurrentUpdateCount

    public boolean isCurrentUpdateCount()

Specified by:
  `isCurrentUpdateCount` in interface `CmdInformation`